---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab mr view`

Display the title, body, and other information about a merge request.

```plaintext
glab mr view {<id> | <branch>} [flags]
```

## Aliases

```plaintext
show
```

## Options

```plaintext
  -c, --comments        Show merge request comments and activities.
  -F, --output string   Format output as: text, json. (default "text")
  -p, --page int        Page number.
  -P, --per-page int    Number of items to list per page. (default 20)
  -s, --system-logs     Show system activities and logs.
  -w, --web             Open merge request in a browser. Uses default browser or browser specified in BROWSER variable.
```

## Options inherited from parent commands

```plaintext
      --help              Show help for this command.
  -R, --repo OWNER/REPO   Select another repository. Can use either OWNER/REPO or `GROUP/NAMESPACE/REPO` format. Also accepts full URL or Git URL.
```
